Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05303 Gameplay Major Always Sep 21, 2013, 17:59 Sep 24, 2013, 03:17
Tester ufoDave View Status Public Platform MAMEUI
Assigned To Phil Bennett Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver harddriv.cpp
Version 0.150 Fixed in Version 0.151 Build 64-bit
Summary 05303: All sets in harddriv.c: Major corruption with all games
Description Corruption includes graphics/pallets being incorrect (stunrun, harddriv), hanging and resetting of games (racedriv) and more
Steps To Reproduce
Additional Information Hard Drivin and clones also seem to have an issue which I suspect is CPU related, not driver related.
Research shows r24991 is the culprit.
Flags
Regression Version 0.150
Affected Sets / Systems All sets in harddriv.c
Attached Files
png file icon 1.png (163,089 bytes) Sep 21, 2013, 18:10 Uploaded by ufoDave
ufoDave
Relationships
has duplicate 05310Closed racedriv (and variants), strtdriv, hdrivair: Game gets to "Downloading DSP" on initialisation screen and then resets. 
Notes
1
User avatar
No.09822
Phil Bennett
Developer
Sep 22, 2013, 10:03
The 68010 reportedly doesn't do a dummy read before write during a CLR instruction as the 68000 does. Reverting this change fixes the regression.